EDIT - bug #6200

Exception when adding a new synonym (allowOverride)
11/15/2016 10:58 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version:

Severity: normal Found in Version:

Description

1. In any DB press enter in the name editor to create a new synonym
2. The following error is logged

org.hibernate.PropertyAccessException:

Null value was assigned to a property [class eu.etaxonomy.c

dm.model.metadata.CdmPreference.allowOverride] of primitive type setter of eu.etaxonomy.cdm.model.

metadata.CdmPreference.allowOverride
at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl70.find (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTraceInterceptor.invoke (RemoteInvocati
onTraceInterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy252.find (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemotelInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemoteIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:727)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet.java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:820)

at org.mortbay.jetty.servlet.ServletHolder.handle (ServletHolder.java:511)

at org.mortbay. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1221)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:213)
at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)
webapp .WebAppContext.handle (WebAppContext. java:450)
handler.HandlerWrapper.handle (HandlerWrapper. java:152)
Server.handle (Server. java:326)
HttpConnection.handleRequest (HttpConnection. java:542)
HttpConnection$RequestHandler.content (HttpConnection. java:945)
HttpParser.parseNext (HttpParser. java:756)

at jetty.HttpParser.parseAvailable (HttpParser. java:218)

at jetty.HttpConnection.handle (HttpConnection. java:404)

at io.nio.SelectChannelEndPoint.run (SelectChannelEndPoint.java:410)

at org. thread.QueuedThreadPool$PoolThread. run (QueuedThreadPool. java:582)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils.java:45)
at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.java:149)
at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemotelInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy38.find (Unknown Source)

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.getPreferredNomenclaturalCode (Preferences
Util.java:168)

at eu.etaxonomy.taxeditor.preference.PreferencesUtil.getPreferredNomenclaturalCode (Preferences
Util.java:150)

at eu.etaxonomy.taxeditor.parser.ParseHandler.parseReferencedName (ParseHandler. java:93)

at eu.etaxonomy.taxeditor.editor.name.container.AbstractGroupedContainer.handleSplitText (Abstr
actGroupedContainer. java:384)

at eu.etaxonomy.taxeditor.editor.name.container.AbstractGroupedContainer$9.handleSplitText (Abs
tractGroupedContainer. java:1123)

at eu.etaxonomy.taxeditor.editor.name.container.LineBreakListener.verifyText (LineBreakListener
.java:83)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:265)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1258)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1282)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1267)

at org.eclipse.swt.widgets.Widget.notifyListeners (Widget.java:1061)

at org.eclipse.swt.custom.StyledText.modifyContent (StyledText. java:7148)

at org.eclipse.swt.custom.StyledText.sendKeyEvent (StyledText.java:7994)

at org.eclipse.swt.custom.StyledText.doContent (StyledText.java:2456)

at org.eclipse.swt.custom.StyledText.handleKey (StyledText.java:5911)

at org.eclipse.swt.custom.StyledText.handleKeyDown (StyledText.java:5941)

at org.eclipse.swt.custom.StyledText$7.handleEvent (StyledText. java:5635)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1258)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1282)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1267)

at org.eclipse.swt.widgets.Widget.sendKeyEvent (Widget.java:1294)

at org.eclipse.swt.widgets.Widget.gtk_key_press_event (Widget. java:730)

at org.eclipse.swt.widgets.Control.gtk_key_press_event (Control.java:3019)

at org.eclipse.swt.widgets.Composite.gtk_key_press_event (Composite.java:734)

at org.eclipse.swt.widgets.Widget.windowProc (Widget. java:1743)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:5016)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:4408)

at org.eclipse.swt.internal.gtk.0S._gtk_main_do_event (Native Method)

at org.eclipse.swt.internal.gtk.0S.gtk_main_do_event (0S.java:8422)

at org.eclipse.swt.widgets.Display.eventProc (Display.java:1245)

at org.eclipse.swt.internal.gtk.0S._g_main_context_iteration (Native Method)

at org.eclipse.swt.internal.gtk.0S.g_main_context_iteration (0S.java:2276)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3207)

at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench.java:2701)

at org.eclipse.ui.internal.Workbench.runUI (Workbench. java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)

at org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:110)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
79)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:344)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter.java:179)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)
org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)
org.eclipse.equinox.launcher.Main.run (Main.java:1410)
org.eclipse.equinox.launcher.Main.main (Main.java:1386)
by: java.lang.IllegalArgumentException: Can not set boolean field eu.etaxonomy.cdm.model.me
CdmPreference.allowOverride to null value
sun.reflect.UnsafeFieldAccessorImpl.throwSetIllegalArgumentException (UnsafeFieldAccessorImp
164)
sun.reflect.UnsafeFieldAccessorImpl.throwSetIllegalArgumentException (UnsafeFieldAccessorImp
168)
sun.reflect.UnsafeBooleanFieldAccessorImpl.set (UnsafeBooleanFieldAccessorImpl. java:380)
java.lang.reflect.Field.set (Field. java:741)
org.hibernate.property.access.spi.SetterFieldImpl.set (SetterFieldImpl. java:38)

177 more

Associated revisions

Revision b6ee6df4 - 11/15/2016 12:23 PM - Andreas Miiller

fix #6200 Change order of NomenclaturalCodeUpdater and allowOverride adder to avoid null values

History

#1 - 11/15/2016 12:24 PM - Andreas Miiller

- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|b6ee6df472c8eacch21369ebd429e9feacc78e36.

#2 - 11/15/2016 12:29 PM - Andreas Miiller

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 4.4

This was probably an issue in the update script. Fixed now, but for database which already ran the update script you may manually need to update
the allowOverride flag in CdmPreference and set it to false

#3 - 11/15/2016 05:27 PM - Patrick Plitzner

In my case setting the only one existing preference for which code to use to 0 solved the problem. Before the value was null which caused the error.

Can you close this ticket, Andreas?

#4 - 11/17/2016 12:13 PM - Andreas Miuller

- Status changed from Resolved to Closed

- Target version deleted (Release 4.4)

- % Done changed from 50 to 100

Update script has been adapted. Remove target version as this was a temporary issue only caused by model update coming with 4.4
